<bugID>331725<Summary>[BeOS] Wrong drop down shown when right-clicking bookmarks in folders on Places toolbar</Summary><Description>User-Agent:       Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.9a1) Gecko/20060325 Firefox/1.6a1
Build Identifier: Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.9a1) Gecko/20060325 Firefox/1.6a1

Menu displayed is appropriate for folders, not bookmarks.  Displayed menu is 
open all in tabs
cut
copy
paste
delete
get info

Should be 
Open
Open in a New Window
Open in a New Tab
etc.

Reproducible: Always

Steps to Reproduce:
1. create a folder on the Places Toolbar with at least one bookmark inside
2. click the folder to open dropdown of bookmarks
3. right-click a bookmark

Actual Results:  
wrong menu is displayed.

Expected Results:  
should be able to open in tab, new window, etc.</Description></bugID>